import React from 'react';
export declare const baseOverrides: {
    a: {
        component: React.FC<{}>;
    };
    h1: {
        component: React.FC<{}>;
        props: {
            level: number;
        };
    };
    h2: {
        component: React.FC<{}>;
        props: {
            level: number;
        };
    };
    h3: {
        component: React.FC<{}>;
        props: {
            level: number;
        };
    };
    h4: {
        component: React.FC<{}>;
        props: {
            level: number;
        };
    };
    h5: {
        component: React.FC<{}>;
        props: {
            level: number;
        };
    };
    h6: {
        component: React.FC<{}>;
        props: {
            level: number;
        };
    };
    p: {
        component: React.FC<{}>;
        props: {
            semantic: string;
        };
    };
    em: {
        component: React.FC<{}>;
        props: {
            semantic: string;
        };
    };
    strong: {
        component: React.FC<{}>;
        props: {
            semantic: string;
        };
    };
    ul: {
        component: React.FC<{}>;
    };
    ol: {
        component: React.FC<{}>;
        props: {
            ordered: boolean;
        };
    };
    blockquote: {
        component: React.FC<{}>;
    };
    code: {
        component: React.FC<{}>;
    };
    pre: {
        component: React.FC<{
            children?: React.ReactNode;
        }>;
    };
    input: {
        component: React.FC<{}>;
    };
    hr: {
        component: React.FC<{}>;
    };
    table: {
        component: React.FC<{}>;
    };
    thead: {
        component: React.FC<{}>;
    };
    th: {
        component: React.FC<{}>;
        props: {
            header: boolean;
        };
    };
    tbody: {
        component: React.FC<{}>;
    };
    tr: {
        component: React.FC<{}>;
    };
    td: {
        component: React.FC<{}>;
    };
    details: {
        component: React.FC<{}>;
    };
    summary: {
        component: React.FC<{}>;
    };
};
export declare const inlineOverrides: {
    p: {
        component: React.ComponentType<Omit<import("../Text/TextRenderer").TextProps, "classes">>;
    };
    a: {
        component: React.FC<{}>;
    };
    h1: {
        component: React.FC<{}>;
        props: {
            level: number;
        };
    };
    h2: {
        component: React.FC<{}>;
        props: {
            level: number;
        };
    };
    h3: {
        component: React.FC<{}>;
        props: {
            level: number;
        };
    };
    h4: {
        component: React.FC<{}>;
        props: {
            level: number;
        };
    };
    h5: {
        component: React.FC<{}>;
        props: {
            level: number;
        };
    };
    h6: {
        component: React.FC<{}>;
        props: {
            level: number;
        };
    };
    em: {
        component: React.FC<{}>;
        props: {
            semantic: string;
        };
    };
    strong: {
        component: React.FC<{}>;
        props: {
            semantic: string;
        };
    };
    ul: {
        component: React.FC<{}>;
    };
    ol: {
        component: React.FC<{}>;
        props: {
            ordered: boolean;
        };
    };
    blockquote: {
        component: React.FC<{}>;
    };
    code: {
        component: React.FC<{}>;
    };
    pre: {
        component: React.FC<{
            children?: React.ReactNode;
        }>;
    };
    input: {
        component: React.FC<{}>;
    };
    hr: {
        component: React.FC<{}>;
    };
    table: {
        component: React.FC<{}>;
    };
    thead: {
        component: React.FC<{}>;
    };
    th: {
        component: React.FC<{}>;
        props: {
            header: boolean;
        };
    };
    tbody: {
        component: React.FC<{}>;
    };
    tr: {
        component: React.FC<{}>;
    };
    td: {
        component: React.FC<{}>;
    };
    details: {
        component: React.FC<{}>;
    };
    summary: {
        component: React.FC<{}>;
    };
};
interface MarkdownProps {
    text: string;
    inline?: boolean;
}
export declare const Markdown: React.FunctionComponent<MarkdownProps>;
export default Markdown;
