import React, { Component } from 'react';
import PropTypes from 'prop-types';
import { StyleGuideContextContents } from 'rsg-components/Context';
interface PreviewProps {
    code: string;
    evalInContext(code: string): () => any;
}
interface PreviewState {
    error: string | null;
}
export default class Preview extends Component<PreviewProps, PreviewState> {
    static propTypes: {
        code: PropTypes.Validator<string>;
        evalInContext: PropTypes.Validator<(...args: any[]) => any>;
    };
    static contextType: React.Context<StyleGuideContextContents>;
    private mountNode;
    private reactRoot;
    private timeoutId;
    state: PreviewState;
    componentDidMount(): void;
    shouldComponentUpdate(nextProps: PreviewProps, nextState: PreviewState): boolean;
    componentDidUpdate(prevProps: PreviewProps): void;
    componentWillUnmount(): void;
    unmountPreview(): void;
    private executeCode;
    private handleError;
    private callbackRef;
    render(): JSX.Element;
}
export {};
